package com.tofly.gpsboot.common.system;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * 是否巡查
 * @author Zev
 */
@Getter
@AllArgsConstructor
public enum IsRespectEnum {
    /**
     *
     */
    IS_RESPECT_NO("0","否"),
    IS_RESPECT_YES("1","是"),

    ;
    /**
     * 编码
     */
    private String code;
    /**
     * 内容
     */
    private String value;

    public static String getCodeForValue(String code) {
        String path = "";
        if (StringUtils.isEmpty(code)) {
            return path;
        }

        for (IsRespectEnum e : IsRespectEnum.values()) {
            if (e.code.equalsIgnoreCase(code)) {
                path = e.value;
                break;
            }
        }
        return path;
    }
}
